Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.exhaustivesearch
Class DefaultExhaustiveSearchPhase

    java.lang.Object
      org.optaplanner.core.impl.phase.AbstractPhase
          org.optaplanner.core.impl.exhaustivesearch.DefaultExhaustiveSearchPhase

All Implemented Interfaces:
  EventListener, ExhaustiveSearchPhase, PhaseLifecycleListener, Phase, SolverLifecycleListener

    public class DefaultExhaustiveSearchPhase

extends AbstractPhase
implements ExhaustiveSearchPhase

Default implementation of `ExhaustiveSearchPhase`.

Field Summary
`protected boolean` | `assertExpectedWorkingSolutionScore`
`protected boolean` | `assertWorkingSolutionScoreFromScratch`
`protected ExhaustiveSearchDecider` | `decider`
`protected EntitySelector` | `entitySelector`
`protected Comparator<ExhaustiveSearchNode>` | `nodeComparator`

Fields inherited from class org.optaplanner.core.impl.phase.AbstractPhase
`bestSolutionRecaller, logger, phaseIndex, phaseLifecycleSupport, termination`

Constructor Summary
`DefaultExhaustiveSearchPhase()`

Method Summary
`ExhaustiveSearchDecider` | `getDecider()`
`EntitySelector` | `getEntitySelector()`
`Comparator<ExhaustiveSearchNode>` | `getNodeComparator()`
`void` | `phaseEnded(ExhaustiveSearchPhaseScope phaseScope)`
`void` | `phaseStarted(ExhaustiveSearchPhaseScope phaseScope)`
`protected void` | `restoreWorkingSolution(ExhaustiveSearchStepScope stepScope)`
`void` | `setAssertExpectedWorkingSolutionScore(boolean assertExpectedWorkingSolutionScore)`
`void` | `setAssertWorkingSolutionScoreFromScratch(boolean assertWorkingSolutionScoreFromScratch)`
`void` | `setDecider(ExhaustiveSearchDecider decider)`
`void` | `setEntitySelector(EntitySelector entitySelector)`
`void` | `setNodeComparator(Comparator<ExhaustiveSearchNode> nodeComparator)`
`void` | `solve(DefaultSolverScope solverScope)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(ExhaustiveSearchStepScope stepScope)`
`void` | `stepStarted(ExhaustiveSearchStepScope stepScope)`

Methods inherited from class org.optaplanner.core.impl.phase.AbstractPhase
`addPhaseLifecycleListener, getPhaseIndex, getTermination, phaseEnded, phaseStarted, removePhaseLifecycleListener, setBestSolutionRecaller, setPhaseIndex, setTermination, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.phase.Phase
`addPhaseLifecycleListener, removePhaseLifecycleListener`

Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Field Detail

### nodeComparator

    protected Comparator<ExhaustiveSearchNode> nodeComparator

### entitySelector

    protected EntitySelector entitySelector

### decider

    protected ExhaustiveSearchDecider decider

### assertWorkingSolutionScoreFromScratch

    protected boolean assertWorkingSolutionScoreFromScratch

### assertExpectedWorkingSolutionScore

    protected boolean assertExpectedWorkingSolutionScore

Constructor Detail

### DefaultExhaustiveSearchPhase

    public DefaultExhaustiveSearchPhase()

Method Detail

### getNodeComparator

    public Comparator<ExhaustiveSearchNode> getNodeComparator()

### setNodeComparator

    public void setNodeComparator(Comparator<ExhaustiveSearchNode> nodeComparator)

### getEntitySelector

    public EntitySelector getEntitySelector()

### setEntitySelector

    public void setEntitySelector(EntitySelector entitySelector)

### getDecider

    public ExhaustiveSearchDecider getDecider()

### setDecider

    public void setDecider(ExhaustiveSearchDecider decider)

### setAssertWorkingSolutionScoreFromScratch

    public void setAssertWorkingSolutionScoreFromScratch(boolean assertWorkingSolutionScoreFromScratch)

### setAssertExpectedWorkingSolutionScore

    public void setAssertExpectedWorkingSolutionScore(boolean assertExpectedWorkingSolutionScore)

### solve

    public void solve(DefaultSolverScope solverScope)

  Specified by:
    `solve` in interface `Phase`

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`
  Overrides:
    `solvingStarted` in class `AbstractPhase`

### phaseStarted

    public void phaseStarted(ExhaustiveSearchPhaseScope phaseScope)

### stepStarted

    public void stepStarted(ExhaustiveSearchStepScope stepScope)

### restoreWorkingSolution

    protected void restoreWorkingSolution(ExhaustiveSearchStepScope stepScope)

### stepEnded

    public void stepEnded(ExhaustiveSearchStepScope stepScope)

### phaseEnded

    public void phaseEnded(ExhaustiveSearchPhaseScope phaseScope)

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`
  Overrides:
    `solvingEnded` in class `AbstractPhase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.